summaryrefslogtreecommitdiffstats
path: root/service
diff options
context:
space:
mode:
authorRiku Nomoto <riku_nomoto@mail.toyota.co.jp>2020-12-18 12:47:38 +0900
committerRiku Nomoto <riku_nomoto@mail.toyota.co.jp>2020-12-18 12:47:38 +0900
commit4400cb613e304911d7f6fe90bcf400be0957e65f (patch)
tree927bf6e80eda70f61b13ce1df396554500518644 /service
parent1cce3a0f69dae022c778308e9326385a6b113bf8 (diff)
Removed unnecessary files.koi_10.91.0koi/10.91.010.91.0
The deleted files have not been built. Signed-off-by: Riku Nomoto <riku_nomoto@mail.toyota.co.jp> Change-Id: I96f372837508cd1068e0563ad9efccc4b0d114ab
Diffstat (limited to 'service')
-rwxr-xr-xservice/system/config/library/system_manager_config/last2order/Makefile71
-rwxr-xr-xservice/system/config/library/system_manager_config/last2order/sm_last2order.cfobin8 -> 0 bytes
-rwxr-xr-xservice/system/config/library/system_manager_config/last2order/tool/mklast2ordertbl.pl107
-rwxr-xr-xservice/system/config/library/system_manager_config/order/Makefile64
-rwxr-xr-xservice/system/config/library/system_manager_config/order/launch_order_body.xml0
-rwxr-xr-xservice/system/config/library/system_manager_config/order/launch_order_main.xml23
-rwxr-xr-xservice/system/config/library/system_manager_config/order/launch_order_xml2cfg.pl171
-rwxr-xr-xservice/system/config/library/system_manager_config/order/system_launcher_main.order.cfg3
-rwxr-xr-xservice/system/config/library/system_manager_config/order/system_launcher_main.xml36
-rwxr-xr-xservice/system/config/library/system_manager_config/xml/Makefile53
-rwxr-xr-xservice/system/config/library/system_manager_config/xml/launch_cfg2xml.sh69
-rwxr-xr-xservice/system/config/library/system_manager_config/xml/launch_xml2cfg.sh116
-rwxr-xr-xservice/system/config/library/system_manager_config/xml/sm_launch_agl.cfg7
-rwxr-xr-xservice/system/config/library/system_manager_config/xml/sm_launch_agl.xml35
-rwxr-xr-xservice/system/resource_manager/client/src/#resmgr_api_lib.c#142
15 files changed, 0 insertions, 897 deletions
diff --git a/service/system/config/library/system_manager_config/last2order/Makefile b/service/system/config/library/system_manager_config/last2order/Makefile
deleted file mode 100755
index 5962200..0000000
--- a/service/system/config/library/system_manager_config/last2order/Makefile
+++ /dev/null
@@ -1,71 +0,0 @@
-#
-# @copyright Copyright (c) 2016-2020 TOYOTA MOTOR CORPORATION.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-
-# ==== Customization ================
-#Directory path located XMLs for conversion
-CONFXML_DIR_PATH ?= $(SDKTARGETSYSROOT)/etc/basesystem/sm_last2order
-
-#path to order file
-ORDER_DEF_PATH ?= $(SDKTARGETSYSROOT)/usr/include/basesystem/agl_wakeup_order.h
-
-#path to be installed CFO file
-CONF_INSTALL_DIR ?= $(SDKTARGETSYSROOT)/etc/basesystem/systemmanager
-
-# ==================================
-
-HOST_CPP = cpp
-MKL_LAST2ORDER = mklast2ordertbl.pl
-
-#path located last2order tools
-TOOLPATH = ./tool
-
-VPATH = $(CONFXML_DIR_PATH) $(TOOLPATH)
-
-XMLFILES = $(shell cd $(CONFXML_DIR_PATH); ls *.xml)
-XMLTMPFILES = $(XMLFILES:%.xml=%.xml.pped)
-CFOFILES = $(XMLFILES:%.xml=%.cfo)
-
-_all:$(CFOFILES)
-
-install:install-pre install-cfo
-
-install-pre:
- install -d -m 775 $(DESTDIR)/etc/basesystem/sm_last2order;\
- install -m 644 -t $(DESTDIR)/etc/basesystem/systemmanager sm_last2order.cfo
-
-install-cfo:_all
- set -e ;\
- install -d -m 775 $(CONF_INSTALL_DIR) ;\
- for cfofile in $(CFOFILES); do \
- install -m 644 -t $(CONF_INSTALL_DIR) $$cfofile; \
- done
-
-%.cfo:%.xml.pped $(MKL_LAST2ORDER)
- ln -fs $(TOOLPATH)/$(MKL_LAST2ORDER)
- ./$(MKL_LAST2ORDER) $< $@
-
-%.xml.pped:%.xml
- $(HOST_CPP) -P -include $(ORDER_DEF_PATH) $< > $@
-
-clean:clean_local
-clean-sub:clean_local
-
-clean_local:
- rm -f *.cfo *.pped *.pl
-
-.PHONY:install-cfo _all
-
-include ../../../../system_service.mk
diff --git a/service/system/config/library/system_manager_config/last2order/sm_last2order.cfo b/service/system/config/library/system_manager_config/last2order/sm_last2order.cfo
deleted file mode 100755
index 2463eec..0000000
--- a/service/system/config/library/system_manager_config/last2order/sm_last2order.cfo
+++ /dev/null
Binary files differ
diff --git a/service/system/config/library/system_manager_config/last2order/tool/mklast2ordertbl.pl b/service/system/config/library/system_manager_config/last2order/tool/mklast2ordertbl.pl
deleted file mode 100755
index 9b7dcab..0000000
--- a/service/system/config/library/system_manager_config/last2order/tool/mklast2ordertbl.pl
+++ /dev/null
@@ -1,107 +0,0 @@
-#!/usr/bin/perl
-use strict;
-
-use XML::XPath;
-
-my $LOCAL_XML = "./last2order.xml.tmp";
-my $LOCAL_DTD = "./last2order.dtd";
-
-my $DTD = <<'EODTD';
-<!ELEMENT last2order_tbl (last2order*) >
-
-<!ELEMENT last2order EMPTY>
-<!ATTLIST last2order
- front_video CDATA "EMPTY"
- front_sub_video CDATA "EMPTY"
- front_audio CDATA "EMPTY"
- rear_video CDATA "EMPTY"
- rear_audio CDATA "EMPTY"
- ordername CDATA #REQUIRED
->
-EODTD
-
-sub usage(){
- print STDERR "USAGE:$0 *.xml *.cfo\n";
-}
-
-#==== MAIN ====
-my $ret=system("which xmllint > /dev/null");
-if($ret != 0){
- die("xmllint is not installed \n");
-}
-
-if(2 != @ARGV){
- usage();
- exit 1;
-}
-
-my $inXmlFile= $ARGV[0];
-my $outCfgXmlFile= $ARGV[1];
-
-
-#ARG CHECK
-if(! -e $inXmlFile){
- die("$inXmlFile not found");
-}
-
-
-system("cp $inXmlFile $LOCAL_XML");
-
-open FOUT,'>',$LOCAL_DTD or die("can't open $LOCAL_DTD");
-print FOUT $DTD;
-close FOUT;
-
-$ret=system("xmllint --noout --valid $LOCAL_XML ");
-if($ret != 0){
- die("$inXmlFile is NOT VAILD");
-}
-
-my $xml = XML::XPath->new(filename=>$LOCAL_XML);
-
-my $last2order_tbl = $xml->find('/last2order_tbl/last2order');
-
-my @nodelist = $last2order_tbl->get_nodelist;
-my $numOfElement = @nodelist;
-
-printf("num of element :$numOfElement\n");
-
-my $writeValue;
-open FOUT,'+>',$outCfgXmlFile or die("can't open $outCfgXmlFile");
-binmode(FOUT);
-
-$writeValue = pack("A4","CTOO"); print FOUT $writeValue;
-$writeValue = pack("L",$numOfElement); print FOUT $writeValue;
-
-foreach my $last2order( @nodelist ) {
- $writeValue = $last2order->findvalue('@front_video');
- printf("FV:$writeValue ");
- $writeValue = pack("a128",$writeValue); print FOUT $writeValue;
-
- $writeValue = $last2order->findvalue('@front_sub_video');
- printf("FSV:$writeValue ");
- $writeValue = pack("a128",$writeValue); print FOUT $writeValue;
-
- $writeValue = $last2order->findvalue('@front_audio');
- printf("FA:$writeValue ");
- $writeValue = pack("a128",$writeValue); print FOUT $writeValue;
-
- $writeValue = $last2order->findvalue('@rear_video');
- printf("RV:$writeValue ");
- $writeValue = pack("a128",$writeValue); print FOUT $writeValue;
-
- $writeValue = $last2order->findvalue('@rear_audio');
- printf("RA:$writeValue ");
- $writeValue = pack("a128",$writeValue); print FOUT $writeValue;
-
- $writeValue = $last2order->findvalue('@ordername');
- printf("ON:$writeValue ");
- $writeValue = pack("a64",$writeValue); print FOUT $writeValue;
-
- printf("\n");
-}
-
-close(FOUT);
-
-system("rm $LOCAL_XML $LOCAL_DTD");
-
-
diff --git a/service/system/config/library/system_manager_config/order/Makefile b/service/system/config/library/system_manager_config/order/Makefile
deleted file mode 100755
index 87c7777..0000000
--- a/service/system/config/library/system_manager_config/order/Makefile
+++ /dev/null
@@ -1,64 +0,0 @@
-#
-# @copyright Copyright (c) 2016-2020 TOYOTA MOTOR CORPORATION.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-
-#HOST TOOLS
-HOST_CPP = cpp
-HOST_ORDER_XML2CFG = ./launch_order_xml2cfg.pl
-
-CONF_DIR = $(SDKTARGETSYSROOT)/etc/basesystem
-CONF_WON_H = $(SDKTARGETSYSROOT)/usr/include/basesystem/agl_wakeup_order.h
-
-LAUNCH_XMLFILES = $(shell cd $(CONF_DIR)/sm_launch; ls *.xml)
-ORDER_XMLFILES = $(LAUNCH_XMLFILES:%.xml=%.order)
-ORDER_CFGFILES = $(ORDER_XMLFILES:%.order=%.order.cfg)
-
-INST_CONFDIR = $(SDKTARGETSYSROOT)/etc/basesystem/systemmanager
-
-CLEAN_FILES = launch_order_body.xml $(ORDER_CFGFILES)
-
-VPATH = $(CONF_DIR)/sm_launch
-VPATH += ../xml
-
-install:install-pre install-cfg
-
-install-pre:
- install -m 644 -t $(DESTDIR)/etc/basesystem/sm_launch system_launcher_main.xml
-
-install-cfg:$(ORDER_CFGFILES)
- set -e ;\
- install -d -m 775 $(INST_CONFDIR) ;\
- for cfgfile in $(ORDER_CFGFILES);do \
- install -m 644 -t $(INST_CONFDIR) $$cfgfile;\
- done ;\
-
-#Create CFG file
-%.order.cfg:%.order %.cfg
- echo $@
- set -e; \
- $(HOST_CPP) $(CPPFLAGS) -P -include $(CONF_WON_H) $< > launch_in.order; \
- $(HOST_ORDER_XML2CFG) launch_in.order $(filter %.cfg,$+) > $@ ; \
- rm -fr launch_in.order;
-
-%.order:
- echo $@
- set -e; \
- if [ ! -e $@ ] ; then \
- touch $@ ; \
- fi
-
-PHONY:install-cfg
-
-include ../../../../system_service.mk
diff --git a/service/system/config/library/system_manager_config/order/launch_order_body.xml b/service/system/config/library/system_manager_config/order/launch_order_body.xml
deleted file mode 100755
index e69de29..0000000
--- a/service/system/config/library/system_manager_config/order/launch_order_body.xml
+++ /dev/null
diff --git a/service/system/config/library/system_manager_config/order/launch_order_main.xml b/service/system/config/library/system_manager_config/order/launch_order_main.xml
deleted file mode 100755
index ee22646..0000000
--- a/service/system/config/library/system_manager_config/order/launch_order_main.xml
+++ /dev/null
@@ -1,23 +0,0 @@
-<?xml version="1.0" ?>
-
-<!DOCTYPE launch_order [
- <!ELEMENT launch_order (order*) >
-
- <!ELEMENT order (group+) >
- <!ATTLIST order
- oname ID #REQUIRED
- fixed_group CDATA "NULL"
- >
-
- <!ELEMENT group EMPTY >
- <!ATTLIST group
- gname CDATA #REQUIRED
- waittime CDATA "0"
- >
-
- <!ENTITY launch_order_body SYSTEM "launch_order_body.xml">
-]>
-
-<launch_order>
- &launch_order_body;
-</launch_order>
diff --git a/service/system/config/library/system_manager_config/order/launch_order_xml2cfg.pl b/service/system/config/library/system_manager_config/order/launch_order_xml2cfg.pl
deleted file mode 100755
index 1060107..0000000
--- a/service/system/config/library/system_manager_config/order/launch_order_xml2cfg.pl
+++ /dev/null
@@ -1,171 +0,0 @@
-#!/usr/bin/perl -w
-use strict;
-
-use XML::XPath;
-use File::Copy;
-
-my $main_file="launch_order_main.xml";
-my $body_file="launch_order_body.xml";
-
-
-sub usage(){
- print STDERR "USAGE:$0 *.order *.cfg\n"
-}
-
-
-
-
-#=== MAIN ===
-my $ret=system("which xmllint > /dev/null");
-if($ret != 0){
- print STDERR "It need xmllint. Please install it.\n";
- exit 1;
-}
-
-if(2 != @ARGV){
- usage();
- exit 1;
-}
-
-my $infile=$ARGV[0];
-my $launchfile=$ARGV[1];
-
-
-#ARG CHECK
-if($infile !~ /.+\.order$/){
- print STDERR "$infile is not *.order\n";
- exit 1;
-}elsif(! -e $infile){
- print "$infile not found\n";
- usage();
- exit 1;
-}
-
-if($launchfile !~ /.+\.cfg$/){
- print STDERR "$launchfile is not *.cfg\n";
- exit 1;
-}elsif(! -e $launchfile){
- print "$launchfile not found\n";
- usage();
- exit 1;
-}
-
-
-system("cp -f $infile $body_file");
-
-#check xml vaild
-$ret=system("xmllint --noout --valid $main_file");
-if($ret != 0){
- print STDERR "XML is Invalid. \n";
- exit 1;
-}
-
-my $date=`LANG=en date`;
-print "# This file is created from $infile and $launchfile\n";
-print "# created date : $date\n";
-
-my %gnamemap;
-my %gidmap;
-
-open(FIN,"<$launchfile") or die("error :$!");
-while (my $line = <FIN>){
- if($line =~ /^Launch/){
- $line =~ s/^[^|]+=//g;
- my @args = split(/\|/,$line);
- $gnamemap{$args[0]}=$args[1];
- $gidmap{$args[1]}=$args[0];
- }
-}
-close(FIN);
-
-foreach my $key (sort{$a <=> $b} keys(%gidmap)){
- print "#$key:$gidmap{$key}\n";
-}
-
-
-my $xml = XML::XPath->new(filename=>$main_file);
-
-my $orders = $xml->find('/launch_order/order');
-foreach my $order ($orders->get_nodelist) {
- my $groups = $order->find('./group');
-
- my $oname=$order->findvalue('@oname');
- my $fixed_group=$order->findvalue('@fixed_group');
-
- print "[$oname]\n";
- print "order=";
-
- my %l_gidmap = %gidmap;
- my $sep="";
- #fix groups
- if($fixed_group ne "NULL"){
- if(! exists $gnamemap{$fixed_group}){
- die("$fixed_group not found");
- }
- foreach my $gid (sort{$a <=> $b} keys(%l_gidmap)){
- print "$sep$gid";
- $sep="|";
- my $str=$l_gidmap{$gid};
- delete $l_gidmap{$gid};
- if($str eq $fixed_group){
- last;
- }
- }
- }
-
- # re-order group via *.order
- my %waitow;
- foreach my $group ($groups->get_nodelist) {
- my $gname=$group->findvalue('@gname');
- my $waittime=XML::XPath::Number::value($group->findvalue('@waittime'));
-
- my $gid=$gnamemap{$gname};
-
- if(! exists $gnamemap{$gname}){
- die("$oname:$gname is not defined");
- }
-
- if(! exists $l_gidmap{$gid}){
- die("$oname:$gname is multiple defined");
- }
-
- print "$sep$gid";
- $sep="|";
- delete $l_gidmap{$gid};
-
- if($waittime > 0){
- $waitow{$gname} = $waittime;
- }
- }
-
-# Output waittime configuration
-
- #out rest groups
- foreach my $gid (sort{$a <=> $b} keys(%l_gidmap)){
- print "$sep$gid";
- $sep="|";
- }
-
- print "\n";
- if(keys(%waitow) > 0 ){
- print "owlist=";
- $sep="";
- foreach my $owgroup ( keys(%waitow)) {
- print "${sep}oww_${owgroup}";
- $sep="|";
- }
- print "\n";
-
- foreach my $owgroup ( keys(%waitow)) {
- print "oww_${owgroup}=$waitow{$owgroup}\n";
- }
-
-
- }
- print "\n";
-}
-
-
-
-
-
diff --git a/service/system/config/library/system_manager_config/order/system_launcher_main.order.cfg b/service/system/config/library/system_manager_config/order/system_launcher_main.order.cfg
deleted file mode 100755
index dc49cd7..0000000
--- a/service/system/config/library/system_manager_config/order/system_launcher_main.order.cfg
+++ /dev/null
@@ -1,3 +0,0 @@
-# This file is created from launch_in.order and system_launcher_main.cfg
-# created date : Tue Aug 29 13:45:54 JST 2017
-
diff --git a/service/system/config/library/system_manager_config/order/system_launcher_main.xml b/service/system/config/library/system_manager_config/order/system_launcher_main.xml
deleted file mode 100755
index 2dd97d9..0000000
--- a/service/system/config/library/system_manager_config/order/system_launcher_main.xml
+++ /dev/null
@@ -1,36 +0,0 @@
-<?xml version="1.0" ?>
-
-<!DOCTYPE system_launcher [
- <!ELEMENT system_launcher (group+) >
-
- <!ELEMENT group (launch+) >
- <!ATTLIST group
- name CDATA #REQUIRED
- wait_time CDATA #REQUIRED
- trigger (True|False) #REQUIRED
- >
-
- <!ELEMENT launch EMPTY >
- <!ATTLIST launch
- name CDATA #REQUIRED
- path CDATA #REQUIRED
- priority CDATA #REQUIRED
- critical CDATA #REQUIRED
- retry_cnt CDATA #REQUIRED
- arguments CDATA #REQUIRED
- logging_mask CDATA "NULL"
- restart (me|NULL) #REQUIRED
- is_start_required (True|False) #REQUIRED
- shutdown_critical CDATA #REQUIRED
- shutdown_wait_time CDATA #REQUIRED
- fast_shutdown_wait_time CDATA #REQUIRED
- user_name CDATA #REQUIRED
- env_cond CDATA #IMPLIED
- >
-
- <!ENTITY system_launcher_body SYSTEM "system_launcher_body.xml">
-]>
-
-<system_launcher>
- &system_launcher_body;
-</system_launcher>
diff --git a/service/system/config/library/system_manager_config/xml/Makefile b/service/system/config/library/system_manager_config/xml/Makefile
deleted file mode 100755
index aed3c27..0000000
--- a/service/system/config/library/system_manager_config/xml/Makefile
+++ /dev/null
@@ -1,53 +0,0 @@
-#
-# @copyright Copyright (c) 2016-2020 TOYOTA MOTOR CORPORATION.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-
-#HOST TOOLS
-HOST_CPP = cpp
-HOST_LAUNCH_XML2CFG = ./launch_xml2cfg.sh
-
-CONF_DIR = $(SDKTARGETSYSROOT)/etc/basesystem
-CONF_THREAD_H = $(SDKTARGETSYSROOT)/usr/include/basesystem/agl_thread.h
-
-LAUNCH_XMLFILES = $(shell cd $(CONF_DIR)/sm_launch; ls *.xml)
-LAUNCH_CFGFILES = $(LAUNCH_XMLFILES:%.xml=%.cfg)
-
-INST_CONFDIR = $(SDKTARGETSYSROOT)/etc/basesystem/systemmanager
-
-CLEAN_FILES = system_launcher_body.xml $(LAUNCH_CFGFILES)
-
-VPATH = $(CONF_DIR)/sm_launch
-
-install:install-pre install-cfg
-
-install-pre:
- install -d -m 775 $(DESTDIR)/etc/basesystem;\
- install -d -m 775 $(DESTDIR)/etc/basesystem/sm_launch;\
- install -d -m 775 $(DESTDIR)/etc/basesystem/systemmanager;\
- install -m 644 -t $(DESTDIR)/etc/basesystem/sm_launch sm_launch_agl.xml
-
-install-cfg:$(LAUNCH_CFGFILES)
- set -e ;\
- install -d -m 775 $(INST_CONFDIR) ;\
- for cfgfile in $(LAUNCH_CFGFILES);do \
- install -m 644 -t $(INST_CONFDIR) $$cfgfile;\
- done ;\
-
-#Create CFG file
-# %.cfg:%.xml # defined in agl.mk
-
-PHONY:install-cfg
-
-include ../../../../system_service.mk
diff --git a/service/system/config/library/system_manager_config/xml/launch_cfg2xml.sh b/service/system/config/library/system_manager_config/xml/launch_cfg2xml.sh
deleted file mode 100755
index 57b6ee2..0000000
--- a/service/system/config/library/system_manager_config/xml/launch_cfg2xml.sh
+++ /dev/null
@@ -1,69 +0,0 @@
-#!/bin/bash
-
-#
-# Copyright (c) 2019-2020 TOYOTA MOTOR CORPORATION
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-
-export infile=$1
-export g_group=1
-
-if ! [[ "$infile" =~ .+\.cfg ]] ;then
- echo "$infile is not *.cfg"
- exit 1
-elif ! [ -e $infile ];then
- echo "$infile not found"
- exit 1
-fi
-
-#GROUP extraction
-cat ${infile} | while read line
-do
- if ! [[ "${line}" =~ ^[#\[] ]]; then #Remove first #[
- echo $line | sed 's/Launch[0-9]\+=//g' | cut -d '|' -f1-4
- fi
-done | uniq | while read line
-do
- echo "<!-- group_id=$g_group -->"
- echo "<group name=\"`echo $line | cut -d '|' -f1`\" wait_time=\"`echo $line | cut -d '|' -f3`\" trigger=\"`echo $line | cut -d '|' -f4`\" >"
-
- cat ${infile} | while read line
- do
- if ! [[ "${line}" =~ ^[#\[] ]]; then #Remove first #[
- l_group=`echo $line | sed 's/Launch[0-9]\+=//g' | cut -d '|' -f2`
-
- #Extract only LAUNCH applicable to g_group
- if [ ${l_group} = ${g_group} ]; then
- echo $line | sed 's/Launch[0-9]\+=//g' | cut -d '|' -f5-
- fi
- fi
- done | while read line
- do
- echo " <launch "
- echo " name=\"`echo $line | cut -d '|' -f1`\" path=\"`echo $line | cut -d '|' -f2`\" priority=\"`echo $line | cut -d '|' -f3`\""
- echo " critical=\"`echo $line | cut -d '|' -f4`\" retry_cnt=\"`echo $line | cut -d '|' -f5`\" arguments=\"`echo $line | cut -d '|' -f6`\""
- echo " logging_mask=\"`echo $line | cut -d '|' -f7`\" restart=\"`echo $line | cut -d '|' -f8`\" is_start_required=\"`echo $line | cut -d '|' -f9`\""
- echo " shutdown_critical=\"`echo $line | cut -d '|' -f10`\" shutdown_wait_time=\"`echo $line | cut -d '|' -f11`\" fast_shutdown_wait_time=\"`echo $line | cut -d '|' -f12`\""
- echo " user_name=\"`echo $line | cut -d '|' -f13`\""
- echo " />"
- done
-
- echo "</group>"
-
- g_group=$(($g_group + 1))
-done
-
-
-
-
diff --git a/service/system/config/library/system_manager_config/xml/launch_xml2cfg.sh b/service/system/config/library/system_manager_config/xml/launch_xml2cfg.sh
deleted file mode 100755
index 20fa097..0000000
--- a/service/system/config/library/system_manager_config/xml/launch_xml2cfg.sh
+++ /dev/null
@@ -1,116 +0,0 @@
-#!/bin/bash
-
-#
-# Copyright (c) 2019-2020 TOYOTA MOTOR CORPORATION
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-# http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-
-#xpath is slow, so use sed as much as possible
-
-infile=$1
-
-main_file=system_launcher_main.xml
-body_file=system_launcher_body.xml
-
-
-#check xmllint is exist
-if ! which xmllint > /dev/null ; then
- echo "It need xmllint. Please install it."
- exit 1;
-fi
-
-#check xpath is exist
-if ! which xpath > /dev/null ; then
- echo "It need xpath Please install it."
- exit 1;
-fi
-
-#arg check
-if ! [[ "$infile" =~ .+\.xml ]] ;then
- echo "$infile is not *.xml"
- exit 1
-elif ! [ -e $infile ];then
- echo "$infile not found"
- exit 1
-fi
-
-cp -f $infile $body_file
-
-#check xml vaild
-if ! xmllint --noout --valid $main_file ;then
- echo "XML is Invalid. "
- exit 1;
-fi
-
-#Read into memory after shaping with xpath
-xmem=`xpath -q -e /system_launcher $main_file`
-
-echo "# This file is created from $infile."
-echo "# created date : `LANG=en date`"
-echo "[ModulesLaunchConfig]"
-
-#GROUP LOOP
-group_num=`echo $xmem | xpath -e /system_launcher/group 2>&1 | grep Found | cut -d ' ' -f2`
-
-l_idx=1
-cur_group=1
-until [ $cur_group -gt $group_num ];
-do
- #LAUNCH LOOP
- group_text=`echo $xmem | xpath -q -e /system_launcher/group[$cur_group]` #group full XML text
- group_attr=`echo $group_text | sed 's/\(<group[^>]\+>\)\(.*\)/\1/g'`
-
- g_name=`echo $group_attr | sed 's/\(.* name="\)\([^"]*\)\(.*\)/\2/g'`
- g_wait_time=`echo $group_attr | sed 's/\(.* wait_time="\)\([^"]*\)\(.*\)/\2/g'`
- g_trigger=`echo $group_attr | sed 's/\(.* trigger="\)\([^"]*\)\(.*\)/\2/g'`
-
-# echo $g_name $g_wait_time $g_trigger
- l_launch_num=`echo $xmem | xpath -e /system_launcher/group[$cur_group]/launch 2>&1 | grep Found | cut -d ' ' -f2`
-
- cur_launch=1;
- until [ $cur_launch -gt $l_launch_num ]; do
- launch_text=`echo $xmem | xpath -q -e /system_launcher/group[$cur_group]/launch[$cur_launch]`
-
- l_attr="Launch${l_idx}=$g_name|$cur_group|$g_wait_time|$g_trigger"
- l_attr+="|"`echo $launch_text | sed 's/\(.* name="\)\([^"]*\)\(.*\)/\2/g'`
- l_attr+="|"`echo $launch_text | sed 's/\(.* path="\)\([^"]*\)\(.*\)/\2/g'`
- l_attr+="|"`echo $launch_text | sed 's/\(.* priority="\)\([^"]*\)\(.*\)/\2/g'`
- l_attr+="|"`echo $launch_text | sed 's/\(.* critical="\)\([^"]*\)\(.*\)/\2/g'`
- l_attr+="|"`echo $launch_text | sed 's/\(.* retry_cnt="\)\([^"]*\)\(.*\)/\2/g'`
- l_attr+="|"`echo $launch_text | sed 's/\(.* arguments="\)\([^"]*\)\(.*\)/\2/g'`
- l_attr+="|"`echo $launch_text | sed 's/\(.* logging_mask="\)\([^"]*\)\(.*\)/\2/g'`
- l_attr+="|"`echo $launch_text | sed 's/\(.* restart="\)\([^"]*\)\(.*\)/\2/g'`
- l_attr+="|"`echo $launch_text | sed 's/\(.* is_start_required="\)\([^"]*\)\(.*\)/\2/g'`
- l_attr+="|"`echo $launch_text | sed 's/\(.* shutdown_critical="\)\([^"]*\)\(.*\)/\2/g'`
- l_attr+="|"`echo $launch_text | sed 's/\(.* shutdown_wait_time="\)\([^"]*\)\(.*\)/\2/g'`
- l_attr+="|"`echo $launch_text | sed 's/\(.* fast_shutdown_wait_time="\)\([^"]*\)\(.*\)/\2/g'`
- l_attr+="|"`echo $launch_text | sed 's/\(.* user_name="\)\([^"]*\)\(.*\)/\2/g'`
- if echo "$launch_text" | grep -sq 'env_cond=' ; then
- l_attr+="|"`echo $launch_text | sed 's/\(.* env_cond="\)\([^"]*\)\(.*\)/\2/g'`
- else
- l_attr+="|"
- fi
-
- echo $l_attr
-
- cur_launch=$(($cur_launch+1))
- l_idx=$(($l_idx+1))
- done
-
- cur_group=$(($cur_group+1))
-done
-
-
-
-
diff --git a/service/system/config/library/system_manager_config/xml/sm_launch_agl.cfg b/service/system/config/library/system_manager_config/xml/sm_launch_agl.cfg
deleted file mode 100755
index e1c544a..0000000
--- a/service/system/config/library/system_manager_config/xml/sm_launch_agl.cfg
+++ /dev/null
@@ -1,7 +0,0 @@
-# This file is created from sm_launch_agl.xml.tmp.
-# created date : Tue Aug 29 13:31:32 JST 2017
-[ModulesLaunchConfig]
-Launch1=CoreModules|1|0|False|NS_NPPService|/usr/bin/NS_NPPService|25|True|0|-a SS_SysManager -r output=0x2|NULL|NULL|False|True|20|1000||
-Launch2=CoreModules|1|0|False|NS_BackupMgr|/usr/bin/NS_BackupMgr|25|True|0|-l console|NULL|NULL|True|True|15|1000||
-Launch3=SS_Logger|2|0|False|SS_DevDetectSrv|/tmp/SS_DeviceDetectionService|20|True|0|-l console|NULL|NULL|True|False|1|1000||
-Launch4=SS_Logger|2|0|False|SS_LoggerSrv|/usr/bin/SS_LoggerService|0|True|0|-l console -p thrd=pdg.LogQueReader:30,thrd=pdg.TransmitQueReader:30,thrd=pdg.DumpQueReader:11,thrd=pdg.PerformanceQueReader:11,thrd=pdg.LogQueWriter:30,thrd=pdg.TransmitQueWriter:30,thrd=pdg.EvntLogQue:8,thrd=pdg.UdpQueWriter:10|NULL|NULL|True|True|10|1000||
diff --git a/service/system/config/library/system_manager_config/xml/sm_launch_agl.xml b/service/system/config/library/system_manager_config/xml/sm_launch_agl.xml
deleted file mode 100755
index 6560832..0000000
--- a/service/system/config/library/system_manager_config/xml/sm_launch_agl.xml
+++ /dev/null
@@ -1,35 +0,0 @@
-<!-- group_id=1 -->
-<group name="CoreModules" wait_time="0" trigger="False" >
- <launch
- name="NS_NPPService" path="/usr/bin/NS_NPPService" priority="25"
- critical="True" retry_cnt="0" arguments="-a SS_SysManager -r output=0x2"
- logging_mask="NULL" restart="NULL" is_start_required="False"
- shutdown_critical="True" shutdown_wait_time="20" fast_shutdown_wait_time="1000"
- user_name=""
- />
- <launch
- name="NS_BackupMgr" path="/usr/bin/NS_BackupMgr" priority="25"
- critical="True" retry_cnt="0" arguments="-l console"
- logging_mask="NULL" restart="NULL" is_start_required="True"
- shutdown_critical="True" shutdown_wait_time="15" fast_shutdown_wait_time="1000"
- user_name=""
- />
-</group>
-<!-- group_id=2 -->
-<group name="SS_Logger" wait_time="0" trigger="False" >
- <launch
- name="SS_DevDetectSrv" path="/tmp/SS_DeviceDetectionService" priority="20"
- critical="True" retry_cnt="0" arguments="-l console"
- logging_mask="NULL" restart="NULL" is_start_required="True"
- shutdown_critical="False" shutdown_wait_time="1" fast_shutdown_wait_time="1000"
- user_name=""
- />
- <launch
- name="SS_LoggerSrv" path="/usr/bin/SS_LoggerService" priority="0"
- critical="True" retry_cnt="0" arguments="-l console -p thrd=pdg.LogQueReader:30,thrd=pdg.TransmitQueReader:30,thrd=pdg.DumpQueReader:11,thrd=pdg.PerformanceQueReader:11,thrd=pdg.LogQueWriter:30,thrd=pdg.TransmitQueWriter:30,thrd=pdg.EvntLogQue:8,thrd=pdg.UdpQueWriter:10"
- logging_mask="NULL" restart="NULL" is_start_required="True"
- shutdown_critical="True" shutdown_wait_time="10" fast_shutdown_wait_time="1000"
- user_name=""
- />
-</group>
-
diff --git a/service/system/resource_manager/client/src/#resmgr_api_lib.c# b/service/system/resource_manager/client/src/#resmgr_api_lib.c#
deleted file mode 100755
index 02e84e4..0000000
--- a/service/system/resource_manager/client/src/#resmgr_api_lib.c#
+++ /dev/null
@@ -1,142 +0,0 @@
-/*
- * @copyright Copyright (c) 2016-2020 TOYOTA MOTOR CORPORATION.
- *
- * Licensed under the Apache License, Version 2.0 (the "License");
- * you may not use this file except in compliance with the License.
- * You may obtain a copy of the License at
- *
- * http://www.apache.org/licenses/LICENSE-2.0
- *
- * Unless required by applicable law or agreed to in writing, software
- * distributed under the License is distributed on an "AS IS" BASIS,
- * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
- * See the License for the specific language governing permissions and
- * limitations under the License.
- */
-
-#include <other_service/rpc.h>
-#include "resm_internal.h"
-#include "resmgr_api.h"
-#include "resmgr_api_resourcemanagerlog.h"
-
-/**********************************************
- * External variable definitions
- **********************************************/
-RPC_ID __thread rpcId;
-
-/*******************************************************************************
- * RPC public API
- *******************************************************************************/
-/* Connection */
-RESM_ERR_t
-RESM_Open(const RESM_RSV_t* p_prim, uint32_t* p_ssnId)
-{
-
- RESM_ERR_t resmRet;
- EV_ERR evRet;
-
- // Argument check
- if( p_ssnId == NULL ) {
- return RESM_E_PAR;
- }
-
- // RPC resources
- if( RPC_OK != RPC_START_CLIENT(&rpcId) ) {
- FRAMEWORKUNIFIEDLOG(ZONE_NS_ERR, __FUNCTION__, "[RESM_ERR]ResMgr Open: RPC_START Error"); // LCOV_EXCL_BR_LINE 15:marco defined in "native_service/ns_logger_if.h"
- return RESM_E_NG;
- }
-
-
- // Session connection
- resmRet = RESM_SV_Open(p_prim, p_ssnId);
- if( resmRet != RESM_E_OK ) {
- FRAMEWORKUNIFIEDLOG(ZONE_NS_ERR, __FUNCTION__, "[RESM_ERR]ResMgr Open: Open Session Error. ret[%d]", resmRet); // LCOV_EXCL_BR_LINE 15:marco defined in "native_service/ns_logger_if.h"
- return RESM_E_NG;
- }
-
- // Create Event Flag
- evRet = EV_create_flag(Resm_Flag_ID_Base + *p_ssnId);
- if( evRet != EV_OK ) {
- FRAMEWORKUNIFIEDLOG(ZONE_NS_ERR, __FUNCTION__, "[RESM_ERR]ResMgr Open: create_flag Error. ret[%d]", evRet);
- return RESM_E_NG;
- }
-
- return RESM_E_OK;
-}
-
-/* Disconnection */
-RESM_ERR_t
-RESM_Close(uint32_t ssnId)
-{
-
- RESM_ERR_t resmRet;
-
- // Disconnect session
- resmRet = RESM_SV_Close(ssnId);
- if( resmRet != RESM_E_OK ) {
- return resmRet;
- }
-
- // Destroy RPC Resources
- RPC_end(rpcId);
-
- return RESM_E_OK;
-}
-
-/* Get event FD */
-RESM_ERR_t
-RESM_GetEventFd(uint32_t ssnId, int32_t* p_fd)
-{
-
- RESM_ERR_t resmRet;
-
- // Argument check
- if( p_fd == NULL ) {
- return RESM_E_PAR;
- }
- // Session ID check
- resmRet = RESM_SV_ChkSsnId(ssnId);
- if( resmRet != RESM_E_OK ) {
- return RESM_E_PAR;
- }
-
- if( EV_OK != EV_get_flag_fd(Resm_Flag_ID_Base + ssnId, p_fd) ) {
- FRAMEWORKUNIFIEDLOG(ZONE_NS_ERR, __FUNCTION__, "[RESM_ERR]ResMgr GetEventFd Error");
- return RESM_E_NG;
- }
-
- return RESM_E_OK;
-}
-
-/* Get event */
-RESM_ERR_t
-RESM_GetEvent(uint32_t ssnId, RESM_EV_t* p_evFlag)
-{
-
- RESM_ERR_t resmRet;
- EV_Flag flag;
-
- // Argument check
- if( p_evFlag == NULL ) {
- return RESM_E_PAR;
- }
- // Session ID Check
- resmRet = RESM_SV_ChkSsnId(ssnId);
- if( resmRet != RESM_E_OK ) {
- return RESM_E_PAR;
- }
-
- if( EV_OK != EV_get_flag(Resm_Flag_ID_Base + ssnId, &flag)) {
- FRAMEWORKUNIFIEDLOG(ZONE_NS_ERR, __FUNCTION__, "[RESM_ERR]ResMgr GetEvent(get_flag) Error");
- return RESM_E_NG;
- }
-
- if( flag.bits == 0 ) {
- // No event
- return RESM_E_NG;
- }
-
- *p_evFlag = flag.bits;
-
- return RESM_E_OK;
-}